/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JCAActivationSpec.java,v 1.2 2004/10/29 23:33:37 ehardesty Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.resource;

// JOnAS Imports
import org.objectweb.jonas.management.j2eemanagement.J2EEManagedObject;

/**
 * MBean class for JCA ActivationSpec Management
 *
 * @author Eric Hardesty
 *
 */
public class JCAActivationSpec extends J2EEManagedObject {

    /**
     * MBean constructor
     * @param oName object name of the managed object
     */
    public JCAActivationSpec(String oName) {
        super(oName);
    }

}
