<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListJoramServers"><bean:message key="tab.joramservers"/></sj:tab>
  <sj:tab forward="ActionEditJoramLocalServer" selected="true"><bean:message key="tab.joramplatform.joramlocalserver"/></sj:tab>  
  <sj:tab forward="ActionListLocalDestinations"><bean:message key="tab.joramplatform.joramlocaldestinations"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.joramplatform.joramlocalserver.serverId"/></sj:jgName>
        <sj:jgValue><bean:write name="joramLocalServerForm" property="serverId"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.joramplatform.joramlocalserver.mode"/></sj:jgName>
        <sj:jgValue><bean:write name="joramLocalServerForm" property="mode"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.joramplatform.joramlocalserver.host"/></sj:jgName>
        <sj:jgValue><bean:write name="joramLocalServerForm" property="host"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.joramplatform.joramlocalserver.port"/></sj:jgName>
        <sj:jgValue><bean:write name="joramLocalServerForm" property="port"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>



