<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<html:form action="/ApplyWebContainers">
<html:hidden property="action"/>
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListWebContainers" selected="true"><bean:message key="tab.webcontainers"/></sj:tab>
  <sj:panel>
    <logic:equal name="WhereAreYou" property="catalinaServer" value="true">
      <sj:jonasgrid>
        <sj:jgRowTitle level="2">
          <sj:jgColTitle><bean:message key="title.webcontainers.action"/></sj:jgColTitle>
        </sj:jgRowTitle>
      </sj:jonasgrid>
      <sj:jonasgrid>
        <sj:gridrow changeStyle="true">
          <sj:gridcol>
            <sj:grid cellPadding="10">
              <sj:gridrow>
                <sj:gridcol>
                  <bean:define id="typeAction" value="create"/>
                  <sj:jonasbutton forward="ActionEditWebApp" paramId="action" paramName="typeAction">
                    <bean:message key="button.webcontainers.context.create"/>
                  </sj:jonasbutton>
                </sj:gridcol>
                <sj:gridcol>
                  <bean:define id="forwardAfterSave" value="ActionListWebContainers"/>
                  <sj:jonasbutton forward="ActionEditServletServer" paramId="forward" paramName="forwardAfterSave">
                    <bean:message key="button.save"/>
                  </sj:jonasbutton>
                </sj:gridcol>
                <sj:gridcol>
                  <sj:jonasbutton href="javascript:submitHidden('itemsWebContainersForm','action','remove')"><bean:message key="button.remove"/></sj:jonasbutton>
                </sj:gridcol>
              </sj:gridrow>
            </sj:grid>
          </sj:gridcol>
        </sj:gridrow>
      </sj:jonasgrid>
      <sj:panelSeparator/>
    </logic:equal>

    <sj:jonasgrid>
      <bean:size id="listSize" name="listWebContainers"/>
      <logic:equal name="listSize" value="0">
        <sj:gridrow>
          <sj:gridcol><bean:message key="message.webcontainers.none"/></sj:gridcol>
        </sj:gridrow>
      </logic:equal>
      <logic:notEqual name="listSize" value="0">
        <sj:jgRowTitle>
          <logic:equal name="WhereAreYou" property="catalinaServer" value="true">
            <sj:jgColTitle></sj:jgColTitle>
          </logic:equal>
          <sj:jgColTitle></sj:jgColTitle>
          <sj:jgColTitle><bean:message key="label.webcontainers.context"/></sj:jgColTitle>
          <sj:jgColTitle><bean:message key="label.webcontainers.file"/></sj:jgColTitle>
          <sj:jgColTitle><bean:message key="label.webcontainers.path"/></sj:jgColTitle>
        </sj:jgRowTitle>
        <logic:iterate id="item" name="listWebContainers">
          <sj:gridrow valign="top">
            <logic:equal name="WhereAreYou" property="catalinaServer" value="true">
              <logic:equal name="item" property="deployed" value="true">
                <sj:gridcol width="5%">&nbsp;</sj:gridcol>
              </logic:equal>
              <logic:notEqual name="item" property="deployed" value="true">
                <sj:gridcol width="5%">
                  <html:multibox property="checkedItems">
                    <bean:write name="item" property="objectName"/>
                  </html:multibox>
                </sj:gridcol>
              </logic:notEqual>
            </logic:equal>
            <sj:gridcol width="5%" align="center">
              <logic:equal name="item" property="deployed" value="true">
                <html:img src="../images/icon/deployed.gif"/>
              </logic:equal>
            </sj:gridcol>
            <sj:gridcol>
              <html:link forward="ActionEditWebApp" styleClass="panel"
                paramId="on" paramName="item" paramProperty="objectName">
                <bean:write name="item" property="labelPathContext"/>
              </html:link>
            </sj:gridcol>
            <sj:gridcol><bean:write name="item" property="file"/></sj:gridcol>
            <sj:gridcol><bean:write name="item" property="path"/></sj:gridcol>
          </sj:gridrow>
        </logic:iterate>
      </logic:notEqual>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>
</html:form>
<%@ include file="../common/end.jsp" %>
</body>
</html:html>

