<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionEditJoramLocalServer"><bean:message key="tab.joramplatform.joramlocalserver"/></sj:tab>  
  <sj:tab forward="ActionListLocalDestinations"><bean:message key="tab.joramplatform.joramlocaldestinations"/></sj:tab>
  <sj:tab forward="ActionEditJoramLocalQueue" selected="true"><bean:message key="tab.joramplatform.joramlocalserver.destination"/></sj:tab>
  <bean:size id="listSize" name="joramLocalQueueForm" property="listUsedByEjb"/>
  <logic:notEqual name="listSize" value="0">
    <sj:tab forward="Joram Queue Used By"><bean:message key="tab.joramplatform.queue.usedby"/></sj:tab>
  </logic:notEqual>
  <sj:panel>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.joramplatform.joramlocalserver.destination.id"/></sj:jgName>
        <sj:jgValue><bean:write name="joramLocalQueueForm" property="id"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.joramplatform.joramlocalserver.destination.name"/></sj:jgName>
        <sj:jgValue><bean:write name="joramLocalQueueForm" property="name"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

